<?php

declare(strict_types=1);

namespace Dedi\SyliusAclPlugin\Repository;

use Dedi\SyliusAclPlugin\Entity\RoleInterface;
use Doctrine\ORM\QueryBuilder;
use Sylius\Component\Resource\Repository\RepositoryInterface;

/** @extends RepositoryInterface<RoleInterface> */
interface RoleRepositoryInterface extends RepositoryInterface
{
    public function createListQueryBuilder(string $localeCode): QueryBuilder;

    public function findByName(string $name, string $locale): array;
}
